import request from '@/utils/request'

// 查询 会员金币记录列表
export function listUserCoinLog(query) {
  return request({
    url: '/tools/userCoinLog/list',
    method: 'get',
    params: query
  })
}

// 查询 会员金币记录详细
export function getUserCoinLog(logId) {
  return request({
    url: '/tools/userCoinLog/' + logId,
    method: 'get'
  })
}

// 新增 会员金币记录
export function addUserCoinLog(data) {
  return request({
    url: '/tools/userCoinLog',
    method: 'post',
    data: data
  })
}

// 修改 会员金币记录
export function updateUserCoinLog(data) {
  return request({
    url: '/tools/userCoinLog',
    method: 'put',
    data: data
  })
}

// 删除 会员金币记录
export function delUserCoinLog(logId) {
  return request({
    url: '/tools/userCoinLog/' + logId,
    method: 'delete'
  })
}

// 导出 会员金币记录
export function exportUserCoinLog(query) {
  return request({
    url: '/tools/userCoinLog/export',
    method: 'get',
    params: query
  })
}